We’ve just released a shiney new version of our Node.js SDK, now in Beta.  This release reflects a significant amount of change from our previous SDK releases, including a brand new API which should be far easier to get started with and use, better documentation and numerous performance enhancements through our related project, libcouchbase.

New Features

  1. A new API has been developed for this new release. This includes a more developer-friendly CRUD operation interface, improvements regarding view and N1QL queries, and an enhanced cluster and bucket management interface. See the documentation and API Reference for further details.
  2. The view querying interface has been rewritten to permit streaming of rows as they are available rather than waiting for the whole result set before dispatching.
  3. Many of the bulk operation methods have been removed (except for getMulti). These operations were previously available primarily for performance reasons, however this performance benefit has now been integrated into all operations.
  4. The API Reference has been revamped to provide many more details regarding all events, classes and their methods.
  5. Numerous performance enhancements have been made within the underlying library, libcouchbase, which powers the Node.js SDK.
     

New Documentation

We have completely rewritten the documentation to help you get started, check it out here:
http://docs.couchbase.com/prebuilt/node-sdk-2.0-beta/topics/overview.html

We have also significantly expanded on our API reference, which is available here:
http://sdk-snapshots.couchbase.com/nodejs/nodejs_couchbase-2.0.0-beta-docs/index.html
 

Try it out

You can install it directly through npm by using the “2.0.0-beta” tag like this: 

npm install couchbase@2.0.0-beta

This update to the Node.js SDK reflects a significant change to most of the SDK's internals and the overall developer experience.  I implore you to check out this latest version, explore the documentation and drop by our Issue Tracker (https://www.couchbase.com/issues/browse/JSCBC) if you encounter anything out of place!

Thanks!  Brett

Posted by Brett Lawson, Software Engineer, Couchbase

6 Comments

  1. I get a shasum check failed when I try to install this module:

    Expected: 184d5702266a84efac1cef1ca76a1ed9900ff378

    Actual: ab018954c51135b42285b8d8a5cd9af374ee7752

    From: https://registry.npmjs.org/cou

    1. Hey Ben,
      This actually pertains to issues with your npm install. Please try reinstalling Node.js and trying again.
      Cheers, Brett

  2. I get the same error: Error: shasum check failed have upgraded node to 0.10.30 is there anything else that could effect this?

  3. You should install it via \’npm install https://registry.npmjs.org/cou… or the author should re-publish with a new version.

    Besides that; why renamed `incr` / `decr`? That\’s pretty common. Also, where did all the set multi ops go?

  4. I got the same shasum error, too bad.
    Ok with version 2.0.0-dp1

  5. Also, if I may suggest. You should use request@2.40.X which depends on qs@1.0.X

    Previous version of qs have a security issue, https://nodesecurity.io/adviso

    Thank you

Leave a reply